Jump to content
  • 0
Sign in to follow this  
Cinemaizer

Unable to create process: Performing Streamed Install adb: failed to install

Question

Posted (edited)

Телефон Xiaomi Redmi Note 5, IDE Delphi 10.2.3 Tokyo. С релизами FGX до 1.1.5.0 все норм, но начиная с релиза версии 1.1.6.0 (вплоть до 1.2.0.0), на любом сэмпле\проекте, на самом последнем этапе, когда приложение стартует установку на телефоне, получаю ошибку и приложение не может установиться. Шаблон манифеста перед сборкой удаляю по рекомендации.

image.png.cb95e7315408716a5175a963e212be43.png

 

.

 

Edited by Cinemaizer

Share this post


Link to post
Share on other sites

10 answers to this question

Recommended Posts

  • 0

Добрый вечер,

Демки проверяли, все работает. Что в логе на устройстве? Такое ощущение, что полученный apk пакет не полный. Можете скинут такой apk, который не работает? 

Share this post


Link to post
Share on other sites
  • 0
Только что, Yaroslav Brovin сказал:

Добрый вечер,

Демки проверяли, все работает. Что в логе на устройстве? Такое ощущение, что полученный apk пакет не полный. Можете скинут такой apk, который не работает? 

А где посмотреть лог на устройстве? Кстати, Ярослав, возможно дело просто в том, что у меня закончилась подписка и таким образом у меня получаются "обрезанные" apk ? :)) Тогда почему я имею возможность скачивать самые свежие сборки библиотеки по сей день?

  • Like 1

Share this post


Link to post
Share on other sites
  • 0
23 минуты назад, Cinemaizer сказал:

Кстати, Ярослав, возможно дело просто в том, что у меня закончилась подписка и таким образом у меня получаются "обрезанные" apk ? :))

Это похоже была стартовая недоработка, из-за которой по окончании подписки вам остался полный доступ к форуму. Срок действия подписки не влияет на "обрезание" apk. По условиям, мы оставляем за вами право пользоваться всеми версиями, полученными в ходе действия АКТИВНОЙ подписки, после окончания ее срока действия. По сути по окончании, вы не получаете доступ к обновлениям, не можете задавать вопросы на форуме.

23 минуты назад, Cinemaizer сказал:

Тогда почему я имею возможность скачивать самые свежие сборки библиотеки по сей день?

Мы уважаем честность, поэтому за это мы дарим вам бесплатно подписку на 3 месяца с текущего дня. Если вы в дальнейшем захотите продолжать получать новые версии, то вы сможете выполнить продление по цене, указанной на сайте. 

23 минуты назад, Cinemaizer сказал:

А где посмотреть лог на устройстве?

Скиньте мне пожалуйста:

  1. За архивированный проект, который запускается с этой ошибкой
  2. Apk файл, который находится в папке проекта Debug\<Имя проекта>\bin\*.apk.

Спасибо

  • Like 2
  • Thanks 1

Share this post


Link to post
Share on other sites
  • 0
5 минут назад, Cinemaizer сказал:

Удивительный случай, респект и Вам за доверие!

На здоровье.

В вашем APK нету classes.dex файла.

  1. Скиньте мне в личку проектный файл dproj.
  2. Какую версию IDE вы используете?

Share this post


Link to post
Share on other sites
  • 0

И еще один нюанс - если приложение ранее было установлено (как я упоминал, с 1.1.5.0 все ок было), например, любой сэмпл из комплекта библиотеки, то если установить 1.1.6.0 - 1.2.0.0 и попробовать пересобрать проект, то на самом последнем этапе - приложение стартует на телефоне, показывается лого FGX и... вылетает либо без сообщений, либо с сообщением:

Спойлер

java.lang.UnsatisfiedLinkError: Unable to load native library "/data/app/ru.fgx.carddemo-lUTpS5LIh-y3kyC9wkSwGQ==/lib/arm/libCardDemo.so": undefined symbol: ANativeActivity_onCreate
 at android.app.NativeActivity.onCreate(NativeActivity.java:175)
 at com.embarcadero.firemonkey.FMXNativeActivity.onCreate(FMXNativeActivity.java:139)
 at android.app.Activity.performCreate(Activity.java:7224)
 at android.app.Activity.performCreate(Activity.java:7213)
 at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1272)
 at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2926)
 at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3081)
 at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:78)
 at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:108)
 at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:68)
 at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1831)
 at android.os.Handler.dispatchMessage(Handler.java:106)
 at android.os.Looper.loop(Looper.java:201)
 at android.app.ActivityThread.main(ActivityThread.java:6810)
 at java.lang.reflect.Method.invoke(Native Method)
 at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:547)
 at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:873)

 

Share this post


Link to post
Share on other sites
  • 0
7 минут назад, Yaroslav Brovin сказал:

В общем поставьте 1.2.0.0 и повторите.

Пока тоже самое.

Share this post


Link to post
Share on other sites
  • 0

Было подобное когда приложение на устройстве с одинаковыми именем пакета имеется, просто удалите его и пересоберите проект полностью. 

  • Thanks 1

Share this post


Link to post
Share on other sites
  • 0
17 часов назад, r3h0soft сказал:

Было подобное когда приложение на устройстве с одинаковыми именем пакета имеется, просто удалите его и пересоберите проект полностью. 

Да, подтверждаю! Старые сборки приложений (до 1.1.6.0) таким образом конфликтуют с новыми видимо. Нужно удалять в приложении.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...